#shell to plot RF wiggles from the "grid" files generated by 
#spectral coherence code of J. Park, arranged by BAZ
#Input - $1 - file name $2 file name $3 - scale
#Experiment with scale!!

rm wigtab? tmp?

echo "EDIT PLOTTING PARAMETERS TO SUIT YOUR DATA"
set BOX = -R-2/16/10/180
set FRAME = -JX3/7.5

awk '{print $2}' $1 | sort -u -n > bazlist
foreach i ( `cat bazlist` )
awk '$2 == A && $1 >= -2' A=$i $1 >> wigtabR
awk '$2 == A && $1 >= -2' A=$i $2 >> wigtabT

#in case you decide to demean...
#awk '$2 == A && $1 >= -2' A=$i $1 > tmp1
#set mean = `awk '{a+=$3} END {print a/NR}' tmp1 `
#echo baz $i mean $mean 
#awk '{print $1,$2,$3-mn}' mn=$mean tmp1 >> wigtab

echo ">" >> wigtabR
echo ">" >> wigtabT

end

set scale = $3

pswiggle wigtabR $FRAME $BOX -Z$scale -M -G0/0/255 -Ba2f1/f10\Swen -P -K > RFwig-epi.ps
pswiggle wigtabR $FRAME $BOX -Z$scale -W1/0 -N -G255/0/0 -M  -P -K -O >>  RFwig-epi.ps
echo 0 3 14 0 5 6 $1 scale $3 | pstext $FRAME -R-1/1/-2/2 -N -O -K >> RFwig-epi.ps
psxy $FRAME $BOX -W2/255/0/0 -O -K <<END >> RFwig-epi.ps
0 -10
0 380
END

#set scale = `echo $scale|awk '{print $1/2}' `
#SOMETIMES it is helpfull to boost T sclae by a factor of 2

pswiggle wigtabT $FRAME $BOX -Z$scale -M -G0/0/255 -Ba2f1/a30f10\SWen -P -K -O -X3.6 >> RFwig-epi.ps
pswiggle wigtabT $FRAME $BOX -Z$scale -M -N -G255/0/0 -W1/0 -P -K -O >>  RFwig-epi.ps
psxy $FRAME $BOX -W2/255/0/0 -O -K <<END >> RFwig-epi.ps
0 -10
0 380
END

echo 0 3 14 0 5 6 $1 scale $scale | pstext $FRAME -R-1/1/-2/2 -N -O >> RFwig-epi.ps


